 
create table ParamCRBIXMLW
(
    CodigoEmp               CHAR(2)                not null,
    CodigoUnidade           CHAR(8)                not null,
    CodigoDocumento         CHAR(10)               not null,
    CodigoAplicacao         CHAR(15)               not null,
    CodigoCategoria         CHAR(2)                not null,
    CodigoDocumento1        CHAR(10)               not null,
    CodigoAplicacao1        CHAR(15)               not null,
    CodigoCategoria1        CHAR(2)                not null,
    DataAtual               DATETIME               not null,    
    CodigoMatricula         char(15)               not null
);
  
Insert into ParamCRBIXMLW select CodigoEmp, CodigoUnidade, CodigoDocumento, CodigoAplicacao, CodigoCategoria,
                                 CodigoDocumento, CodigoAplicacao, CodigoCategoria,
                                 DataAtual, CodigoMatricula from ParamCRBIXML;

alter table ParamCRBIXML drop constraint FK_ParamCRBIXML_UNID;

alter table ParamCRBIXML drop constraint FK_ParamCRBIXML_DOC;

alter table ParamCRBIXML drop constraint FK_ParamCRBIXML_CAT;

alter table ParamCRBIXML drop constraint pk_ParamCRBIXML;

drop table ParamCRBIXML;  
 
create table ParamCRBIXML
(
    CodigoEmp               CHAR(2)                not null,
    CodigoUnidade           CHAR(8)                not null,
    CodigoDocumento         CHAR(10)               not null,
    CodigoAplicacao         CHAR(15)               not null,
    CodigoCategoria         CHAR(2)                not null,
    CodigoDocumento1        CHAR(10)               not null,
    CodigoAplicacao1        CHAR(15)               not null,
    CodigoCategoria1        CHAR(2)                not null,
    DataAtual               DATETIME               not null,    
    CodigoMatricula         char(15)               not null
);
 
Insert into ParamCRBIXML select * from ParamCRBIXMLW;
  
 
alter table ParamCRBIXML
    add constraint pk_ParamCRBIXML primary key (CodigoEmp, CodigoUnidade);

alter table ParamCRBIXML
    add constraint FK_ParamCRBIXML_UNID foreign key (CodigoEmp, CodigoUnidade)
        references Unidade (CodigoEmp, Codigo);

alter table ParamCRBIXML
    add constraint FK_ParamCRBIXML_DOC foreign key (CodigoEmp, CodigoDocumento)
        references Documento (CodigoEmp, Codigo);

alter table ParamCRBIXML
    add constraint FK_ParamCRBIXML_CAT foreign key (CodigoCategoria)
        references Categoria (Codigo);

alter table ParamCRBIXML
    add constraint FK_ParamCRBIXML_DOC1 foreign key (CodigoEmp, CodigoDocumento1)
        references Documento (CodigoEmp, Codigo);

alter table ParamCRBIXML
    add constraint FK_ParamCRBIXML_CAT1 foreign key (CodigoCategoria1)
        references Categoria (Codigo);

GRANT ALL ON ParamCRBIXML TO BYTEC;   

Drop Table ParamCRBIXMLW;
